/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
package android.service.dropbox;

import "frameworks/base/core/proto/android/privacy.proto";

option java_multiple_files = true;

// Dump from com.android.server.DropboxManagerService.java.
message DropBoxManagerServiceDumpProto {
    option (android.msg_privacy).dest = DEST_EXPLICIT;

    message Entry {
        // Time when entry was originally created.
        optional int64 time_ms = 1 [ (.android.privacy).dest = DEST_AUTOMATIC ] ;
        optional bytes data = 2;
    }
    repeated Entry entries = 1;
}
